phing-types

# Class: PhpCpdTask_FormatterElement Source Location: /tasks/ext/PhpCpdTask.php
### Class Overview
    ProjectComponent
       |
       --DataType
          |
          --PhpCpdTask_FormatterElement
Base class for those classes that can appear inside the build file as stand alone data types. #### Author(s): Hans Lellelid <hans@xmpl.org> Andreas Aderhold <andi@binarycloud.com> #### Version: $Revision: 526 $ | ### Variables $outfile $type | ### Methods getOutfile getType parsingComplete setOutfile setType
### Inherited Variables #### Class: DataType DataType::$checked DataType::$description DataType::$ref #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: DataType DataType::circularReference() Creates an exception that indicates the user has generated a loop of data types referencing each other. DataType::dieOnCircularReference() Check to see whether any DataType we hold references to is included in the Stack (which holds all DataType instances that directly or indirectly reference this instance, including this instance itself). DataType::getCheckedRef() Performs the check for circular references and returns the referenced object. DataType::getDescription() Return the description for the current data type. DataType::isReference() Has the refid attribute of this element been set? DataType::noChildrenAllowed() Creates an exception that indicates that this XML element must not have child elements if the refid attribute is set. DataType::parsingComplete() Template method being called when the data type has been parsed completely. DataType::setDescription() Sets a description of the current data type. It will be useful in commenting what we are doing. DataType::setRefid() Set the value of the refid attribute. DataType::tooManyAttributes() Creates an exception that indicates that refid has to be the only attribute if it is set. #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 225] Base class for those classes that can appear inside the build file as stand alone data types. This class handles the common description attribute and provides a default implementation for reference handling and checking for circular references that is appropriate for types that can not be nested inside elements of the same type (i.e. patternset but not path) #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
author: | Andreas Aderhold <andi@binarycloud.com>
version: | $Revision: 526 $
[ Top ] ### Class Variables #### $outfile = "" [line 237] Output file. #### Tags:
access: | protected
Type: | string
[ Top ] #### $type = "" [line 231] Type of output to generate #### Tags:
access: | protected
Type: | string
[ Top ] ### Class Methods ### method getOutfile [line 263]
`void getOutfile( )`
#### Tags:
access: | public
[ Top ] ### method getType [line 255]
`void getType( )`
#### Tags:
access: | public
[ Top ] ### method parsingComplete [line 242]
`void parsingComplete( )`
Validate config. #### Tags:
access: | public
Overrides DataType::parsingComplete() (Template method being called when the data type has been parsed completely.) [ Top ] ### method setOutfile [line 259]
`void setOutfile( $outfile)`
#### Tags:
access: | public
#### Parameters:
| $outfile |
[ Top ] ### method setType [line 251]
`void setType( $type)`
#### Tags:
access: | public
#### Parameters:
| $type |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:39 +0200 by phpDocumentor 1.4.3